Package org.apache.lucene.codecs.simpletext

# Class SimpleTextTermVectorsReader

java.lang.Object
org.apache.lucene.index.TermVectors
org.apache.lucene.codecs.TermVectorsReader
org.apache.lucene.codecs.simpletext.SimpleTextTermVectorsReader

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Cloneable`

public class SimpleTextTermVectorsReader extends TermVectorsReader
Reads plain-text term vectors.

FOR RECREATIONAL USE ONLY

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.index.TermVectors

  `EMPTY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleTextTermVectorsReader(Directory directory, SegmentInfo si, IOContext context)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkIntegrity()`
  `TermVectorsReader`
  `clone()`
  `void`
  `close()`
  `Fields`
  `get(int doc)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.lucene.codecs.TermVectorsReader

  `getMergeInstance`

  ### Methods inherited from class org.apache.lucene.index.TermVectors

  `get, prefetch`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SimpleTextTermVectorsReader

    public SimpleTextTermVectorsReader(Directory directory, SegmentInfo si, IOContext context) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### get

    public Fields get(int doc) throws IOException
    Specified by:
      `get` in class `TermVectors`
    Throws:
      `IOException`

  - ### clone

    public TermVectorsReader clone()
    Specified by:
      `clone` in class `TermVectorsReader`

  - ### close

    public void close() throws IOException
    Throws:
      `IOException`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### checkIntegrity

    public void checkIntegrity() throws IOException
    Specified by:
      `checkIntegrity` in class `TermVectorsReader`
    Throws:
      `IOException`